Zum Hauptinhalt springen

Accept a customer invite

POST/v2/customer-invites/{customerInviteId}/actions/accept
API-Version
v2
Request-Methode
POST
Operation-ID
customer-accept-customer-invite

Request​

  • customerInviteIdstring (uuid)required

    ID of the CustomerInvite to be accepted.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"invitationToken":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/customer-invites/f0f86186-0a5a-45b2-aa33-502777496347/actions/accept
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.acceptCustomerInvite({
"customerInviteId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"invitationToken": "string"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\AcceptCustomerInvite\AcceptCustomerInviteRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Customer\AcceptCustomerInvite\AcceptCustomerInviteRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// AcceptCustomerInviteRequestBody to learn how to construct a valid instance
$body = new AcceptCustomerInviteRequestBody(/* TODO: ... */);

$request = (new AcceptCustomerInviteRequest(
customerInviteId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->customer()->acceptCustomerInvite($request);

var_dump($response->getBody();

Auf dieser Seite